#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	json-c
Version		:	0.17
Release		:	17.2.0.rel%{?dist}
Summary		:	A JSON implementation in C
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/json-c/json-c

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake >= 3.17.3
#-----------------------------------------------------------------------------
%description
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C representation
of JSON objects.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/lib%{name}.so.5*

#=============================================================================
%package		devel
Summary		:       Development files for %{name}

Requires	:       %{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/%{name}-*.cmake

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_C_FLAGS_RELEASE:STRING=""			\
	-D DISABLE_BSYMBOLIC:BOOL=OFF				\
	-D DISABLE_WERROR:BOOL=ON				\
	-D ENABLE_RDRAND:BOOL=ON				\
	-D ENABLE_THREADING:BOOL=ON  				\
	-D BUILD_STATIC_LIBS=OFF				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install
  

#-----------------------------------------------------------------------------
%changelog
